### Method

# Gtk CellAreaContextget_preferred_width

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_context_get_preferred_width (
      GtkCellAreaContext* context,
      int* minimum_width,
      int* natural_width
    )

#### Description [src]

Gets the accumulative preferred width for all rows which have been requested with this context.

After `gtk_cell_area_context_reset()` is called and/or before ever requesting the size of a `GtkCellArea`, the returned values are 0.

Deprecated since: 4.10

This object will be removed in GTK 5

#### Parameters

`minimum_width`

  Type: `int*`

  Location to store the minimum width.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_width`

  Type: `int*`

  Location to store the natural width.

  The argument will be set by the function.
  The argument can be `NULL`.